/**
 * 
 */
package org.eclipse.ecf.fileshare;

import org.eclipse.ecf.core.IContainer;

/**
 * File sharing entry point class
 *
 */
public interface IFileShareContainer extends IContainer {
	
	/**
	 * Get ISharedFile handle for remotely stored file
	 * 
	 * @param spec the specification of the remote file
	 * @return ISharedFile instance.  Will not return null.
	 * @throws SharedFileCreationException thrown if ISharedFile instance cannot be stored
	 */
	public ISharedFile store(IStoreFileDescription spec) throws SharedFileCreationException;
	/**
	 * Retrieve ISharedFile handle for remotely stored file
	 * @param spec the specification of the remote file
	 * @return ISharedFile instance.  Will not return null.
	 * @throws SharedFileCreationException thrown if ISharedFile instance cannot be retrieved (i.e. is not there)
	 */
	public ISharedFile retrieve(IRetrieveFileDescription spec) throws SharedFileCreationException;
}
