/**
 * 
 */
package org.eclipse.ecf.provider.ftp.container;

import org.eclipse.ecf.core.ContainerDescription;
import org.eclipse.ecf.core.ContainerInstantiationException;
import org.eclipse.ecf.core.IContainer;
import org.eclipse.ecf.core.identity.ID;
import org.eclipse.ecf.core.identity.IDFactory;
import org.eclipse.ecf.core.identity.IDInstantiationException;
import org.eclipse.ecf.core.provider.IContainerInstantiator;

public class FtpContainerInstantiator implements IContainerInstantiator {
	public FtpContainerInstantiator() {
		super();
	}
	/* (non-Javadoc)
	 * @see org.eclipse.ecf.core.provider.IContainerInstantiator#makeInstance(org.eclipse.ecf.core.ContainerDescription, java.lang.Class[], java.lang.Object[])
	 */
	public IContainer makeInstance(ContainerDescription description,
			Class[] argTypes, Object[] args)
			throws ContainerInstantiationException {
		try {
			ID containerID = IDFactory.getDefault().makeGUID();
			return new FtpClientSOContainer(new FtpClientSOContainerConfig(
					containerID));
		} catch (IDInstantiationException e) {
			ContainerInstantiationException except = new ContainerInstantiationException("FtpClientSOContainer exception",e);
			except.setStackTrace(e.getStackTrace());
			throw except;
		}
	}
}
