package org.eclipse.ecf.provider.ftp.identity;

import java.net.URI;
import java.net.URISyntaxException;
import org.eclipse.ecf.core.identity.ID;
import org.eclipse.ecf.core.identity.IDInstantiationException;
import org.eclipse.ecf.core.identity.Namespace;

public class FtpNamespace extends Namespace {
	private static final long serialVersionUID = -5430209813777273183L;
	private static final String SCHEME = "ecftcp";
	
	public FtpNamespace() {
		super();
	}
	public FtpNamespace(String name, String desc) {
		super(name, desc);
	}
	public ID makeInstance(Class[] argTypes, Object[] args)
			throws IDInstantiationException {
		if (args == null) throw new NullPointerException("id must be non-null");
		if (args[0] instanceof URI) {
			return new FtpID(this,(URI)args[0]);
		} else if (args[0] instanceof String) {
			try {
				URI newURI = new URI((String) args[0]);
				return new FtpID(this,newURI);
			} catch (URISyntaxException e) {
				IDInstantiationException except = new IDInstantiationException("Exception creating id",e);
				except.setStackTrace(e.getStackTrace());
				throw except;
			}
		} else throw new IDInstantiationException("improper argument "+args[0]);
	}
	public String getScheme() {
		return SCHEME;
	}
}
